Bug 136924 - not original Matrox G550 Driver causes on DVI-TFT black screen
not original Matrox G550 Driver causes on DVI-TFT black screen
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-10-23 04:58 EDT by Matthias Link
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 15:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Link 2004-10-23 04:58:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002

Description of problem:
After fresh install core3-test3 the Matrox G550 Driver fails to
display any X on the DVI-Port of my TFT.

This error is already known to me since Red Hat 9! (See related bugs
for that).

To solve, i have to copy manually the original drivers from Matrox to
the /usr/X11/lib/modules/dri and /usr/X11/lib/modules/drivers
directories and after that restart X. The install.sh script from
Matrox thinks that the drivers are already up to date, though they are

Everything is fine after that. But i think it should be possible to
include those drivers to the shipped package finally!

Version-Release number of selected component (if applicable):
any xorg-x11

How reproducible:

Steps to Reproduce:
1. Fresh install fc3-test3
2. Reboot
3. Look at the Screen and see the black whole... ;-)
4. Copy manually drivers to appropriate path
5. Restart X-Server
6. Use X

Expected Results:  Workings drivers should be included in shipped
packages (it's only to  change these 3 files!)

Additional info:
Comment 1 Matthias Link 2004-10-25 11:40:43 EDT
updated new paket to release 6.8 and still the same issue.

Copied drivers to /usr/X11R6/lib/modules/dri(vers) and everything is 
fine. So why simply change those 3 files?
Comment 3 Mike A. Harris 2004-11-29 15:53:58 EST
Fedora Core is comprised entirely of open source software.  Only
open source software will be included in Fedora Core.  Matrox's
hallib is not open source, and as such will never be part of
Fedora Core.

DVI is unsupported on the open source driver on G550. You can
file a bug report to http://bugs.freedesktop.org however if you'd
like the issue to be tracked for future upstream enhancement.

Setting status to "WONTFIX".

Note You need to log in before you can comment on or make changes to this bug.